Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
bugreport.php File Reference

Go to the source code of this file.

## Functions
| send_email ( $bug, $ini, $Language)

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZBugMain", "Language" )
| $t
| $successfull = 0
| $actionValue = "new"
if( $Action=="New") if( $Action=="Update") if(isset( $Ok)) if(isset( $InsertFile)) if(isset( $InsertImage)) if(isset( $DeleteSelected)) | $catName = ""
| $modName = ""
if(isset( $Description)) | else
| $user =& eZUser::currentUser()
| $category = new eZBugCategory()
| $module = new eZBugModule()
| $categories = $category->getAll()
foreach( $categories as $category) | $modules = $module->getAll()

## Function Documentation

## ◆ send_email()

send_email | ( |  | $bug,
|  |  | $ini,
|  |  | $Language
| ) |  |

Definition at line 411 of file bugreport.php.

References $bug, $Email, $headerInfo, $ini, $Language, $mail, $module, $ownerGroup, $user, $users, exit, and eZHTTPTool\header().

## Variable Documentation

## ◆ $actionValue

$actionValue = "new"

Definition at line 74 of file bugreport.php.

## ◆ $categories

$categories = $category->getAll()

Definition at line 375 of file bugreport.php.

## ◆ $category

$category = new eZBugCategory()

Definition at line 359 of file bugreport.php.

## ◆ $catName

if ($Action=="New") if ($Action=="Update") if (isset($Ok)) if (isset($InsertFile)) if (isset($InsertImage)) if (isset($DeleteSelected)) $catName = ""

Definition at line 210 of file bugreport.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 38 of file bugreport.php.

Referenced by send_email().

## ◆ $Language

$Language = $ini->variable( "eZBugMain", "Language" )

Definition at line 40 of file bugreport.php.

Referenced by send_email().

## ◆ $modName

$modName = ""

Definition at line 211 of file bugreport.php.

## ◆ $module

$module = new eZBugModule()

Definition at line 360 of file bugreport.php.

Referenced by send_email().

## ◆ $modules

foreach ($categories as $category) $modules = $module->getAll()

Definition at line 390 of file bugreport.php.

## ◆ $successfull

$successfull = 0

Definition at line 73 of file bugreport.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezbug/user/" . $ini->variable( "eZBugMain", "TemplateDir" ),
"kernel/ezbug/user/intl", $Language, "bugreport.php" )
$Language
$Language
Definition: bugreport.php:40
$ini
$ini
Definition: bugreport.php:38
eZTemplate
Definition: eztemplate.php:107

Definition at line 46 of file bugreport.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 239 of file bugreport.php.

Referenced by send_email().

## ◆ else

if ($user) else

Initial value:
{
$t->set_var( "description_value", '' )
$t
$t
Definition: bugreport.php:46

Definition at line 217 of file bugreport.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.